INTRODUCTION
------------

The Language Roles module makes it possible to assign roles to users in the
context of a language.

This can be helpful on multilingual sites where it is a requirement that users
possess different roles for different languages. For example, one user may need
the "editor" role for the management of French content but the "publisher" role
for English content.

This module makes use of the Access Policy API in order to assign different
roles as the current language changes.


REQUIREMENTS
------------

This module requires no modules outside of Drupal core.


INSTALLATION
------------

 * Install the Language Roles module as you would normally install a
   contributed Drupal module. Visit https://www.drupal.org/node/1897420 for
   further information.


CONFIGURATION
-------------

    1. Navigate to Administration > Extend and enable the module.
    2. Assign users roles by language by editing their account.

OPTIONAL CONFIGURATION
----------------------

 * This module assigns roles depending on the language in use. To ensure users
   can only create content in languages where they have the required access,
   make these configuration changes.

    1. Under Language Settings, set the Default Language to "Interface text
       language selected for page".
    2. Disable "Show language selector on create and edit pages".
